#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	An XMP metadata support library
Summary(pl.UTF-8):	Biblioteka obsługująca metadane XMP
Name:		exempi
Version:	2.6.4
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://libopenraw.freedesktop.org/exempi/
Source0:	https://libopenraw.freedesktop.org/download/%{name}-%{version}.tar.xz
# Source0-md5:	c2bd12b5773f35c3832dcd1169fac3dc
URL:		https://libopenraw.freedesktop.org/exempi/
BuildRequires:	automake >= 1:1.11
%{?with_tests:BuildRequires:	boost-devel >= 1.60.0}
BuildRequires:	expat-devel >= 1.95
BuildRequires:	libstdc++-devel >= 6:4.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMP metadata parsing and IO library.

%description -l pl.UTF-8
Biblioteka do analizy oraz wejścia/wyjścia metadanych XMP.

%package devel
Summary:	Header files for exempi
Summary(pl.UTF-8):	Pliki nagłówkowe exempi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel >= 1.95
Requires:	libstdc++-devel >= 6:4.4
Requires:	zlib-devel

%description devel
Header files for exempi.

%description devel -l pl.UTF-8
Pliki nagłówkowe exempi.

%package static
Summary:	Static exempi library
Summary(pl.UTF-8):	Statyczna biblioteka exempi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static exempi library.

%description static -l pl.UTF-8
Statyczna biblioteka exempi.

%package samples
Summary:	Sample exempi programs
Summary(pl.UTF-8):	Przykładowe programy exempi
Group:		Applications/Archiving
# doesn't require base, statically linked with exempi code

%description samples
Sample programs using exempi library.

%description samples -l pl.UTF-8
Przykładowe programy używające biblioteki exempi.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
# configure fails on boost linking check
%configure \
	--disable-silent-rules \
	%{!?with_tests:--disable-unittest}
%{__make}

%if %{with tests}
%{__make} check
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libexempi.la

install samples/source/{dumpmainxmp,dumpxmp,xmpcoverage,xmpfilescoverage} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README.md TODO
%attr(755,root,root) %{_bindir}/exempi
%attr(755,root,root) %{_libdir}/libexempi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libexempi.so.8
%{_mandir}/man1/exempi.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libexempi.so
%{_includedir}/exempi-2.0
%{_pkgconfigdir}/exempi-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libexempi.a

%files samples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dumpmainxmp
%attr(755,root,root) %{_bindir}/dumpxmp
%attr(755,root,root) %{_bindir}/xmpcoverage
%attr(755,root,root) %{_bindir}/xmpfilescoverage
%changelog
* Mon Jul 17 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/exempi.git;a=log;h=master

* Mon Jul 10 2023 Jakub Bogusz <qboosh@pld-linux.org> c79a960
- updated to 2.6.4 (XMP security fixes)

* Thu Mar 30 2023 Jakub Bogusz <qboosh@pld-linux.org> c596442
- updated to 2.6.3

* Thu Sep 29 2022 Jakub Bogusz <qboosh@pld-linux.org> ee27a77
- updated to 2.6.2

* Thu Mar 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 2379b21
- updated to 2.6.1 (XMP SDK update, security fixes)

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 47ffd99
- updated to 2.5.2

* Sat May 16 2020 Jan Palus <atler@pld-linux.org> 4407a72
- BR: automake

* Sat May 02 2020 Jan Palus <atler@pld-linux.org> ac197f5
- refresh config.sub

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> c334eec
- updated to 2.5.1 (overflow and null pointer reference fixes)

* Sun Apr 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 0ce0a9a
- updated to 2.5.0 (note: new soname)

* Fri Dec 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 2c67cf8
- updated boost dependency, required only for tests

* Wed Apr 04 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 3c65b5b
- Update to 2.4.5

* Tue Feb 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> ace202b
- Update to 2.4.4

* Mon Dec 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 6034112
- updated to 2.4.3

* Sun Feb 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e3575ff
- Update to 2.4.2

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> eb8a27a
- require gcc 4.4 (partial C++11 support)

* Wed Jan 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 307a95c
- Update to 2.4.0

* Sat May 14 2016 Jakub Bogusz <qboosh@pld-linux.org> e1a9c22
- updated to 2.3.0

* Tue Mar 03 2015 Elan Ruusamäe <glen@delfi.ee> 485cab7
- x32 rebuild
- release 2 (by relup.sh)

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 5ff9f5d
- updated to 2.2.2
- removed .la file (there is .pc file)

* Thu Jul 11 2013 Jakub Bogusz <qboosh@pld-linux.org> d45ee4f
- updated to 2.2.1

